# Interface TransitionCreateHookFn

The signature for Transition onCreate Hooks.

Transition onCreate Hooks are callbacks that allow customization or preprocessing of a Transition before it is returned from [[TransitionService.create]]

- TransitionCreateHookFn(transition: Transition): void

  #### Parameters

  - transition: Transition

    the [[Transition]] that was just created

  #### Returns void

  a [[Transition]] which will then be returned from [[TransitionService.create]]

  - Defined in src/router/transition/interface.ts:265